Index: binfilter/bf_sc/source/core/tool/sc_addincol.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_addincol.cxx,v
retrieving revision 1.8
diff -u -r1.8 sc_addincol.cxx
--- binfilter/bf_sc/source/core/tool/sc_addincol.cxx	10 Apr 2008 08:24:19 -0000	1.8
+++ binfilter/bf_sc/source/core/tool/sc_addincol.cxx	8 Jun 2008 05:48:07 -0000
@@ -208,6 +208,8 @@
 /*N*/             rAny >>= rOut;
 /*N*/             bRet = TRUE;
 /*N*/             break;
+/*N*/         default:
+/*N*/             break;
 /*N*/     }
 /*N*/     if (!bRet)
 /*N*/         rOut = 0.0;
Index: binfilter/bf_sc/source/core/tool/sc_compiler.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_compiler.cxx,v
retrieving revision 1.15
diff -u -r1.15 sc_compiler.cxx
--- binfilter/bf_sc/source/core/tool/sc_compiler.cxx	10 Apr 2008 08:27:44 -0000	1.15
+++ binfilter/bf_sc/source/core/tool/sc_compiler.cxx	8 Jun 2008 05:48:27 -0000
@@ -695,6 +695,8 @@
 /*N*/ 				if( nMask & SC_COMPILER_C_STRING_SEP )
 /*N*/ 					eState = ssStop;
 /*N*/ 				break;
+/*N*/                  default:
+/*N*/                          break;
 /*N*/ 		}
 /*N*/ 		cLast = c;
 /*N*/ 		c = *pSrc;
@@ -1100,6 +1102,9 @@
 /*?*/ 							case CELLTYPE_EDIT:
 /*?*/ 								((ScEditCell*)pCell)->GetString( aStr );
 /*?*/ 							break;
+/*?*/
+/*?*/                                                  default:
+/*?*/                                                  break;
 /*?*/ 						}
 /*?*/                         if ( ScGlobal::pTransliteration->isEqual( aStr, aName ) )
 /*?*/ 						{
@@ -1154,6 +1159,9 @@
 /*N*/ 					case CELLTYPE_EDIT:
 /*N*/ 						((ScEditCell*)pCell)->GetString( aStr );
 /*N*/ 					break;
+/*N*/
+/*N*/                                  default:
+/*N*/                                  break;
 /*N*/ 				}
 /*N*/                 if ( ScGlobal::pTransliteration->isEqual( aStr, aName ) )
 /*N*/ 				{
Index: binfilter/bf_sc/source/core/tool/sc_interpr1.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_interpr1.cxx,v
retrieving revision 1.11
diff -u -r1.11 sc_interpr1.cxx
--- binfilter/bf_sc/source/core/tool/sc_interpr1.cxx	10 Apr 2008 08:31:03 -0000	1.11
+++ binfilter/bf_sc/source/core/tool/sc_interpr1.cxx	8 Jun 2008 05:48:39 -0000
@@ -997,6 +997,8 @@
 					case CELLTYPE_FORMULA :
 						nRes = !((ScFormulaCell*)pCell)->IsValue();
 						break;
+                                       default:
+                                               break;
 				}
 			}
 		}
@@ -1390,6 +1392,8 @@
 					case CELLTYPE_FORMULA :
 						nRes = ((ScFormulaCell*)pCell)->IsValue();
 						break;
+                                       default:
+                                               break;
 				}
 			}
 		}
@@ -1730,6 +1734,8 @@
 					case CELLTYPE_FORMULA :
 						bValue = ((ScFormulaCell*)pCell)->IsValue();
 						break;
+                                       default:
+                                               break;
 				}
 			}
 			if ( bValue )
@@ -2123,6 +2129,7 @@
 /*?*/ 						break;
 /*?*/ 					case ifSUMSQ:	fRes += fVal * fVal; break;
 /*?*/ 					case ifPRODUCT:	fRes *= fVal; break;
+/*?*/                                  default: break;
 /*?*/ 				}
 /*?*/ 				nFuncFmtType = NUMBERFORMAT_NUMBER;
 /*?*/ 				break;
@@ -2157,6 +2164,7 @@
 /*?*/ 								break;
 /*?*/ 							case ifSUMSQ:	fRes += fVal * fVal; break;
 /*?*/ 							case ifPRODUCT:	fRes *= fVal; break;
+/*?*/                                                  default: break;
 /*?*/ 						}
 /*?*/ 					}
 /*?*/ 					else if ( bTextAsZero && pCell->HasStringData() )
@@ -2278,6 +2286,7 @@
 /*?*/ 											break;
 /*?*/ 										case ifSUMSQ:	fRes += fVal * fVal; break;
 /*?*/ 										case ifPRODUCT:	fRes *= fVal; break;
+/*?*/                                                                          default: break;
 /*?*/ 									}
 /*?*/ 								}
 /*?*/ 								else if ( bTextAsZero )
@@ -2305,6 +2314,7 @@
 /*N*/ 		case ifCOUNT2:
 /*N*/ 		case ifCOUNT:	fRes  = nCount; break;
 /*N*/ 		case ifPRODUCT:	if ( !nCount ) fRes = 0.0; break;
+/*N*/          default: break;
 /*N*/ 	}
 /*N*/ 	// Bei Summen etc. macht ein BOOL-Ergebnis keinen Sinn
 /*N*/ 	// und Anzahl ist immer Number (#38345#)
@@ -4386,6 +4396,7 @@
  				case ifPRODUCT:	nErg = 1; break;
  				case ifMAX:		nErg = MINDOUBLE; break;
  				case ifMIN:		nErg = MAXDOUBLE; break;
+                               default: break;
  			}
  			do
  			{
@@ -4406,6 +4417,7 @@
  					case ifPRODUCT:	nErg *= nVal; break;
  					case ifMAX:		if( nVal > nErg ) nErg = nVal; break;
  					case ifMIN:		if( nVal < nErg ) nErg = nVal; break;
+                                       default: break;
  				}
  			}
  			while ( aValIter.GetNext(nVal, nErr) && !nErr );
@@ -4419,6 +4431,7 @@
  		case ifCOUNT:	nErg = nCount; break;
  		case ifSUM:		nErg = ::rtl::math::approxAdd( nErg, fMem ); break;
  		case ifAVERAGE:	nErg = ::rtl::math::approxAdd( nErg, fMem ) / nCount; break;
+               default: break;
  	}
  	PushDouble( nErg );
  }
